Blocker issue 127789: Server error when looking for updates

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Blocker issue 127789: Server error when looking for updates

Andrea Pescetti-2
I've taken a look at the few 4.1.6 accepted blockers that are still
open. Don already discussed the ones affecting libraries.

I'm especially interested in this one (server error when looking for
updates)
https://bz.apache.org/ooo/show_bug.cgi?id=127789
that should be investigated properly unless someone is already doing it
and can report here.

As I wrote in the issue, this could be an issue just with the ASF
network configuration and it may not require a fix at all.

Usually, as part of my release voting, I simulate the updates server on
my local machine, create a feed and check that OpenOffice displays the
right message. So 4.1.5 was not broken, and actually error reports
started to come only when 4.1.5 had already been available for months.

Did anyone else make enough progress on this to rule out (at least) that
we need code changes, so that this can be addressed by gathering data
and talking to Infra?

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Blocker issue 127789: Server error when looking for updates

Pedro Lino-3
Hi Andrea, all

This is clearly a server side error (and an intermitent one)
I rolled back to 4.1.4 (which was correctly reporting an update available last week) but today all versions I tested (4.1.6, 4.1.5 and 4.1.4) all report "Checking for an update failed."

This is not a 4.1.6 problem.

Regards,
Pedro


> On October 28, 2018 at 9:53 PM Andrea Pescetti <[hidden email]> wrote:
>
>
> I've taken a look at the few 4.1.6 accepted blockers that are still
> open. Don already discussed the ones affecting libraries.
>
> I'm especially interested in this one (server error when looking for
> updates)
> https://bz.apache.org/ooo/show_bug.cgi?id=127789
> that should be investigated properly unless someone is already doing it
> and can report here.
>
> As I wrote in the issue, this could be an issue just with the ASF
> network configuration and it may not require a fix at all.
>
> Usually, as part of my release voting, I simulate the updates server on
> my local machine, create a feed and check that OpenOffice displays the
> right message. So 4.1.5 was not broken, and actually error reports
> started to come only when 4.1.5 had already been available for months.
>
> Did anyone else make enough progress on this to rule out (at least) that
> we need code changes, so that this can be addressed by gathering data
> and talking to Infra?
>
> Regards,
>    Andrea.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Blocker issue 127789: Server error when looking for updates

Matthias Seidel
In reply to this post by Andrea Pescetti-2
Hi Andrea,

Am 28.10.18 um 22:53 schrieb Andrea Pescetti:

> I've taken a look at the few 4.1.6 accepted blockers that are still
> open. Don already discussed the ones affecting libraries.
>
> I'm especially interested in this one (server error when looking for
> updates)
> https://bz.apache.org/ooo/show_bug.cgi?id=127789
> that should be investigated properly unless someone is already doing
> it and can report here.
>
> As I wrote in the issue, this could be an issue just with the ASF
> network configuration and it may not require a fix at all.
This is also my guess.

>
> Usually, as part of my release voting, I simulate the updates server
> on my local machine, create a feed and check that OpenOffice displays
> the right message. So 4.1.5 was not broken, and actually error reports
> started to come only when 4.1.5 had already been available for months.

Update feed for 4.1.5 did work when it was released. First error reports
came in around March, I think.
I am pretty sure it works for 4.1.6-RC1 if you simulate it locally.

>
> Did anyone else make enough progress on this to rule out (at least)
> that we need code changes, so that this can be addressed by gathering
> data and talking to Infra?

All I can say is that my builds for Windows from trunk do not have this
issue. Other users reported, that earlier versions of AOO get connection
to the update server without error message.

Thinking about it, I remember a similar situation some years ago (before
I got involved in the project). For several weeks I saw exactly the same
error message on a Windows machine. After some time it was back to normal.
Maybe there is an old ticket at Infra to be found?

Regards,

   Matthias

>
> Regards,
>   Andrea.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Blocker issue 127789: Server error when looking for updates

Peter Kovacs-3
In reply to this post by Pedro Lino-3
Hi Pedro,

just to be clear. We should solve this issue with or before 4.1.6. Thats
why I have linked it to the release.

There is no other reason for the link. We just need some pressure (which
is not bad) it seems in order to get this done.

All the best

Peter

On 29.10.18 00:15, Pedro Lino wrote:

> Hi Andrea, all
>
> This is clearly a server side error (and an intermitent one)
> I rolled back to 4.1.4 (which was correctly reporting an update available last week) but today all versions I tested (4.1.6, 4.1.5 and 4.1.4) all report "Checking for an update failed."
>
> This is not a 4.1.6 problem.
>
> Regards,
> Pedro
>
>
>> On October 28, 2018 at 9:53 PM Andrea Pescetti <[hidden email]> wrote:
>>
>>
>> I've taken a look at the few 4.1.6 accepted blockers that are still
>> open. Don already discussed the ones affecting libraries.
>>
>> I'm especially interested in this one (server error when looking for
>> updates)
>> https://bz.apache.org/ooo/show_bug.cgi?id=127789
>> that should be investigated properly unless someone is already doing it
>> and can report here.
>>
>> As I wrote in the issue, this could be an issue just with the ASF
>> network configuration and it may not require a fix at all.
>>
>> Usually, as part of my release voting, I simulate the updates server on
>> my local machine, create a feed and check that OpenOffice displays the
>> right message. So 4.1.5 was not broken, and actually error reports
>> started to come only when 4.1.5 had already been available for months.
>>
>> Did anyone else make enough progress on this to rule out (at least) that
>> we need code changes, so that this can be addressed by gathering data
>> and talking to Infra?
>>
>> Regards,
>>    Andrea.
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Blocker issue 127789: Server error when looking for updates

Andrea Pescetti-2
In reply to this post by Matthias Seidel
On 29/10/2018 Matthias Seidel wrote:
> Am 28.10.18 um 22:53 schrieb Andrea Pescetti:
>> https://bz.apache.org/ooo/show_bug.cgi?id=127789 ...
>> As I wrote in the issue, this could be an issue just with the ASF
>> network configuration and it may not require a fix at all.
>
> This is also my guess.

Just for the record, I cannot reproduce it now and I have to correct
what I reported last month: while testing 4.1.6-RC1 I've found that I
had a stale cached DNS entry that was generating incorrect requests.

In other words, I've never been able to reproduce the error on my system.

> All I can say is that my builds for Windows from trunk do not have this
> issue. Other users reported, that earlier versions of AOO get connection
> to the update server without error message.

This could be DNS but also some bundled library that adopts stricter
protocol checks on HTTPS.

Due to increasing restrictions, I think the only proper way to test it
would be to put a fake update feed online for the (imaginary) 4.1.6 ->
4.1.7 update and see if the 4.1.6 builds report it correctly. It won't
have any impact on real users, provided we remove the test feed before
4.1.6 is officially released.

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Blocker issue 127789: Server error when looking for updates

Matthias Seidel
Am 09.11.18 um 01:07 schrieb Andrea Pescetti:

> On 29/10/2018 Matthias Seidel wrote:
>> Am 28.10.18 um 22:53 schrieb Andrea Pescetti:
>>> https://bz.apache.org/ooo/show_bug.cgi?id=127789 ...
>>> As I wrote in the issue, this could be an issue just with the ASF
>>> network configuration and it may not require a fix at all.
>>
>> This is also my guess.
>
> Just for the record, I cannot reproduce it now and I have to correct
> what I reported last month: while testing 4.1.6-RC1 I've found that I
> had a stale cached DNS entry that was generating incorrect requests.
>
> In other words, I've never been able to reproduce the error on my system.
>
>> All I can say is that my builds for Windows from trunk do not have this
>> issue. Other users reported, that earlier versions of AOO get connection
>> to the update server without error message.
>
> This could be DNS but also some bundled library that adopts stricter
> protocol checks on HTTPS.
>
> Due to increasing restrictions, I think the only proper way to test it
> would be to put a fake update feed online for the (imaginary) 4.1.6 ->
> 4.1.7 update and see if the 4.1.6 builds report it correctly. It won't
> have any impact on real users, provided we remove the test feed before
> 4.1.6 is officially released.
There is already an (empty) update feed for 4.1.6. AOO 4.1.6 should just
report it is "up to date" (like 4.2.0 does).

Regards,

   Matthias

>
> Regards,
>   Andrea.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Blocker issue 127789: Server error when looking for updates

Andrea Pescetti-2
Matthias Seidel wrote:
> There is already an (empty) update feed for 4.1.6. AOO 4.1.6 should just
> report it is "up to date" (like 4.2.0 does).

Yes, but unless we can monitor it on the server side this is only
partial information: I mean, if 4.1.6-RC1 was set, by some mistake, to
use the same feed as 4.1.5 the feeds would be broken and we would not be
able to notice it.

Limited to these days of 4.1.6-RC1 testing, the two solutions are:
- Temporary invent a 4.1.7 and update the 4.1.6 feeds accordingly, at
least for testing (this is best, since it will remove all doubts).
- Monitor on the server logs that 4.1.6 is actually served the proper
XML file.

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]